%%
 %
 % Licensed under Creative Commons Attribution 4.0 International (CC BY 4.0) (the "License").
 % You are free to: 
 %        Share — copy and redistribute the material in any medium or format
 %        Adapt — remix, transform, and build upon the material
 %        for any purpose, even commercially. 
 % Under the following terms:
 %        Attribution — You must give appropriate credit, provide a link to the license, and indicate if changes were made. You may do so in any reasonable manner, but not in any way that suggests the licensor endorses you or your use.
 %        No additional restrictions — You may not apply legal terms or technological measures that legally restrict others from doing anything the license permits.
 % The licensor cannot revoke these freedoms as long as you follow the license terms.
 % You may not use this file except in compliance with the License.
 % You may obtain a copy of the License at
 %
 %      https://creativecommons.org/licenses/by/4.0/legalcode
 %
 % Unless required by applicable law or agreed to in writing, software
 % distributed under the License is distributed on an "AS IS" BASIS,
 % WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 % See the License for the specific language governing permissions and
 % limitations under the License.
%%

function senial = hysteresis(angulo, default_sitting, default_standing, margin)
    
  sitting_threshold = default_sitting + margin;
  standing_threshold = default_standing - margin;
  
  posicion_anterior = 1;
  valor = sitting_threshold;
  for i = 1:length(angulo)
    if(angulo(i) < sitting_threshold && posicion_anterior == 0)
      posicion_anterior = 1;
      valor = sitting_threshold; %% StSi transition
    elseif(angulo(i) > standing_threshold && posicion_anterior == 1)      
      posicion_anterior = 0;
      valor = standing_threshold; %% SiSt transition
    endif
    
    senial(i) = valor;

  endfor
endfunction
